#include <iostream>
#include <cstdlib>

#include "LTFitIOHandler.h"
#include "LTFit.h"

using namespace std;

int main(int argc, char **argv)  {

  if ( argc != 2 )  {
    cout << "usage:  ltscore <parameter-file>" << endl;
    return 1;
  }

  LTFitIOHandler ioh;
  // LTFit ltf(&ioh);

  // read parameter file
  if ( ioh.readParamFile(argv[1]) )  {
    cerr << "aborted" << endl;
    exit(1);
  }

  ioh.dbgShowParams();

  /*
  string f;
  if ( !ioh.getParam("datafile",&f) )  {
    ioh.readDataFile(f.c_str());
    ioh.dbgShowCovariateData();
    ltf.fitClinicalCovariateData();
    if ( !ioh.getParam("outfile",&f) )  {
      ltf.writeClinicalCovariateData(f.c_str());
    }
    ltf.setThresholdFlag();
  }

  vector<int> snplist = ioh.getSnplist();
  if ( snplist.size() > 0 )  {
    if ( !ioh.getParam("indivfile",&f) )  {
      ioh.readIndFile();
      ioh.dbgShowIndivs();
      ltf.fitGeneticCovariateData();
    }
  }
  */




}


