#ifndef _COVARIATE_
#define _COVARIATE_

class DataPoint  {
  public:
    DataPoint(int n)    { T = new double[n]; missing = new int[n]; }
    double *T;          // array of size nindices for the covariate this belongs to (t_ijk)
    int *missing;       // array of size
    double sigma;       // sigma_ij
};

class Covariate  {
  public:
    Covariate(int n)  { ndatapts = 0; nindices = n; tbar = new double[n]; C = new double[n]; data = NULL; }
    int ndatapts;      // N_i
    int nindices;      // M_i
    double *tbar;      // array of size nindices (tbar_ij)
    double *C;         // array of size nindices (C_ij)
    DataPoint **data;  // array of data points of size ndatapts
};

#endif

