#include <iostream>
#include <cstdlib>

#include "LTPrev.h"

using namespace std;

int main(int argc, char **argv)  {

  if ( argc != 2 )  {
    cout << "usage:  ltprev < parameter-file >" << endl;
    return 1;
  }

  IOHandler ioh;

  // read parameter file
  if ( ioh.readParamFile(argv[1]) )  {
    cerr << "aborted" << endl;
    exit(1);
  }

  // read .ind file
  if ( ioh.readIndFile() )  {
    cerr << "error reading input file" << endl;
    exit(1);
  }
  // ioh.dbgShowIndivs();

  LTPrev ltp;
  ltp.unpack(&ioh);
  ltp.run(&ioh);

  return 0;

}


