#include <iostream>
#include "LTPub.h"

using namespace std;

int main(int argc, char **argv)  {

  if ( argc < 3 )  {
    cout << "usage: ltpub < in-file > < outfile >" << endl;
    exit(1);
  }

  LTPub ltp;
  if ( ltp.readInput(argv[1]) )  {
    cout << "error: couldn't read input file" << endl;
    exit(1);
  } 

  if ( ltp.run() )  {
    cout << "error: couldn't compute solution" << endl;
    exit(1);
  } 

  ltp.writeOutput(argv[2]);

}
